//+---------------------------------------------------------------------+
//|                        MFT_H4      Silver-channels.mq4          ik4 |
//|                                    Copyright  2004, AlexSilver     |
//|                                          http://viac.ru/            |
//+---------------------------------------------------------------------+
#property copyright "Copyright  2004, AlexSilver"
#property link      "http://viac.ru/"

#property indicator_chart_window
#property indicator_buffers 8
#property indicator_color1 DimGray
#property indicator_color2 DimGray
#property indicator_color3 DarkSlateBlue
#property indicator_color4 DarkSlateBlue
#property indicator_color5 DarkOliveGreen
#property indicator_color6 DarkOliveGreen
//#property indicator_color7 DarkSlateBlue
//#property indicator_color8 DarkSlateBlue
//---- input parameters

extern int TSP=9;
extern int SSP=26;
extern double SilvCh=38.2;
extern double SkyCh=23.6;
extern double ZenCh=0;
extern double FutCh=61.8;
extern double Shift=0;

//---- buffers
double SCH_BufferH[];
double SCH_BufferL[];
double Sky_BufferH[];
double Sky_BufferL[];
double Zen_BufferH[];
double Zen_BufferL[];
double Fut_BufferL[];
double Fut_BufferH[];

int TimeFrame=PERIOD_H4;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   if(TimeFrame==0) TimeFrame = Period();    
//----
   SetIndexStyle(0,DRAW_LINE, 0,4, C'49,56,64');
 //  SetIndexShift( 0, Shift);
   SetIndexBuffer(0,SCH_BufferH);
   SetIndexLabel(0,"Silver-channHigh("+SSP+")");
//----
   SetIndexStyle(1,DRAW_LINE,0,4, C'49,56,64');
 //   SetIndexShift( 1, Shift);
   SetIndexBuffer(1,SCH_BufferL);
   SetIndexLabel(1,"Silver-channLow("+SSP+")");
//----
   SetIndexStyle(2,DRAW_LINE,0,4,C'40,34,77');
 //   SetIndexShift( 2, Shift);
   SetIndexBuffer(2,Sky_BufferH);
   SetIndexLabel(2,"Sky-chanHigh("+SSP+")");
//----
   SetIndexStyle(3,DRAW_LINE,0,4,C'40,34,77');
//    SetIndexShift( 3, Shift);
   SetIndexBuffer(3,Sky_BufferL);
   SetIndexLabel(3,"Sky-channLow("+SSP+")");
//----
   SetIndexStyle(4,DRAW_LINE,0,4,C'47,60,26');
 //   SetIndexShift( 4,Shift);
   SetIndexBuffer(4,Zen_BufferH);
   SetIndexDrawBegin(4,SSP+Shift-1);
   SetIndexLabel(4,"Zen-channHigh("+SSP+")");
//----
   SetIndexStyle(5,DRAW_LINE,0,4,C'47,60,26');
 //   SetIndexShift( 5, Shift);
   SetIndexBuffer(5,Zen_BufferL);
   SetIndexLabel(5,"Zen-channLow("+SSP+")");
//----
//   SetIndexStyle(6,DRAW_LINE,0,1,C'40,34,77');
//    SetIndexShift( 6, Shift);
//  SetIndexBuffer(6,Fut_BufferL);
//   SetIndexLabel(6,"Future-channLow("+SSP+")");
//----
//   SetIndexStyle(7,DRAW_LINE,0,1,C'40,34,77');
//    SetIndexShift( 7, Shift);
//   SetIndexBuffer(7,Fut_BufferH);
 //  SetIndexLabel(7,"Future-channHigh("+SSP+")");
//----
  
  
    IndicatorShortName("MTF_Silver-channelsH4");
  
   return(0);
  }
//+------------------------------------------------------------------+
//| Silver-channels                                                       |
//+------------------------------------------------------------------+
int start()
  {
  
      datetime TimeArray[];
   int    i,shift,limit,y=0,counted_bars=IndicatorCounted();
     
   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 
   
   //----------
   
   
   //----------
   limit=Bars-counted_bars+TimeFrame/Period();
   for(i=0,y=0;i<limit;i++) 
 
   
{
     if (Time[i]<TimeArray[y]) {y++;}   
     SCH_BufferH[i]=iCustom(NULL,TimeFrame,"Silver-channels",SSP,0,y); 
     SCH_BufferL[i]=iCustom(NULL,TimeFrame,"Silver-channels",SSP,1,y);
     Sky_BufferH[i]=iCustom(NULL,TimeFrame,"Silver-channels",SSP,2,y);
     Sky_BufferL[i]=iCustom(NULL,TimeFrame,"Silver-channels",3,y);
     Zen_BufferH[i]=iCustom(NULL,TimeFrame,"Silver-channels",4,y);
     Zen_BufferL[i]=iCustom(NULL,TimeFrame,"Silver-channels",5,y);
//     Fut_BufferL[i]=iCustom(NULL,TimeFrame,"Silver-channels",6,y);
 //    Fut_BufferH[i]=iCustom(NULL,TimeFrame,"Silver-channels",7,y);

     
     
   }
   return(0);
  }
  
  
  
  //------------------------------------------------------------+